/***
 * Tooltips
 */
/* Tooltip container */
.tooltip {
    position: relative;
    display: inline-block;
    /*border-bottom: 1px dotted black; !* If you want dots under the hoverable text *!*/
}

/* Tooltip text */
.tooltip .tooltip-text {
    visibility: hidden;
    background-color: black;
    color: #fff;

    text-align: center;
    border-radius: 6px;
    padding: 5px;

    /* Position the tooltip text */
    position: absolute;
    z-index: 1;
    bottom: 100%;
    left: 50%;
    margin-left: -50%;

    white-space: nowrap;
}

/* Show the tooltip text when you mouse over the tooltip container */
.tooltip:hover .tooltip-text {
    visibility: visible;
}

/***
 * Formatting utils
 */
.t-personal-suggestion,
.reveal .slides section .fragment.strike.t-personal-suggestion.visible {
    text-decoration: underline;
    text-decoration-color: rgb(227 142 227 / 72%);
    /*text-decoration-style: wavy;*/
    text-decoration-style: dashed;
    /*text-decoration-thickness: 1px;*/
    text-decoration-thickness: from-font;
}

.t-personal-message {
    color: rgb(227 142 227 / 72%);
}

.t-strike, .t-personal-strike {
    text-decoration: line-through;
}

.t-personal-strike {
    text-decoration-color: rgb(227 142 227 / 72%);
    text-decoration-style: wavy;
    text-decoration-thickness: 3px;
}

.t-personal-dot:before {
    content: '\00a0';
    height: 1em;
    width: 1em;
    line-height: 1;
    background-color: rgb(227 142 227 / 72%);
    border-radius: 50%;
    display: inline-block;
}

.t-secondary {
    font-size: .9em !important;
}

.t-secondary-x2 {
    font-size: .81em !important;
}

.t-italic {
    font-style: italic;
}

.t-mono {
    width: 1em;
    display: inline-block;
    text-align: center;
}

.fine-print {
    font-size: .7rem;
    font-style: italic;
}

ul.no-indicators,
li.no-indicator {
    list-style-type: none;
    padding-inline-start: 0;
    margin-left: 0;
}

ul.arrow-indicator,
li.arrow-indicator {
    list-style-type: disclosure-closed;
}

.p-t-1 {
    padding-top: 1rem;
}

.text-center {
    text-align: center !important;
}

.lh-1-2 {
    line-height: 1.2;
}

.d-inline {
    display: inline;
}

.d-block {
    display: block;
}
